MGASA-2021-0255 - Updated irssi packages fix security vulnerabilities

Publication date: 13 Jun 2021
URL: https://advisories.mageia.org/MGASA-2021-0255.html
Type: security
Affected Mageia releases: 7, 8

The irssi packages are updated to irssi 1.2.3 to fix several issues among some security vulnerabilities:
* memory handling issues
* memory leaks
* erroneous free
* crashes / freezes
* null pointer dereference when receiving broken JOIN record.

References:
- https://bugs.mageia.org/show_bug.cgi?id=29060
- https://irssi.org/2021/04/11/irssi-1.2.3-released/
- https://irssi.org/NEWS/#v1-2-3

SRPMS:
- 8/core/irssi-1.2.3-1.mga8
- 7/core/irssi-1.2.3-1.mga7